<?php

declare(strict_types=1);

namespace PpPhp\Core\Discovery\Providers;

final class ModuleDiscoveryProvider extends AbstractManifestDiscoveryProvider
{
    public function id(): string
    {
        return 'modules';
    }

    public function label(): string
    {
        return 'Modules';
    }

    protected function relativeRoot(): string
    {
        return 'modules';
    }

    protected function manifestName(): string
    {
        return 'module.json';
    }

    protected function type(): string
    {
        return 'module';
    }
}
